from django.shortcuts import render
from recuperateur_reseau_viaire.models import Ville
from .view_valide import valide
from recuperateur_reseau_viaire.forms import VilleFormUpdate

def modification_villes(request):
    """
    Le but de cette méthode est de créér un formulaire de modification de la table ville et de le gérer

    :param request: La requête de l'utilisateur
    :return: une HttpResponse de la page villes.html qui est un formulaire dans le cas ou il faut créer un formulaire
    ou qu'il est invalide. Dans l'autre cas il affiche la page de validation et retourne la page index
    """
    print(request.method, "modification_villes", getattr(request, request.method))
    if request.method == "GET":
        form = VilleFormUpdate({"liste_villes" : Ville.objects.all()})
        return render(request, "recuperateur_reseau_viaire/villes.html", {'form' : form})
    else:
        for clef in request.POST.keys():
            if clef.startswith("ville_"):
                nom_ville_originel = clef.removeprefix("ville_")
                if nom_ville_originel != request.POST.get(clef):
                    print('avant : ', str, " maintenant : ", request.POST.get(clef))
        #return valide(request)